use crate::cli::Cli;

/// Application configuration.
pub struct Config {
    /// Update interval in seconds
    pub interval: u64,
    /// Database connection string where timestamps are stored (SQLite, Postgres or MySql)
    pub connection: String,
}

impl From<Cli> for Config {
    fn from(value: Cli) -> Self {
        Self {
            interval: value.interval,
            connection: value.connection,
        }
    }
}
